GuidesAPI Reference
API Reference

Simple and fast search for geometries on HERE Map Content layers, extensible with custom geometry layers

Simple and fast search for geometries on HERE Map Content layers, extensible with custom geometry layers

Query Params
string
required

Spatial filtering for multi layer search. For POST requests supported filter type is assetPositions.

  • The POST body must contain a json structure, as specified in example below and explained in requestBody.
  • Each asset point should have properties lat, lon, layer and searchRadius.
  • The property attributes is optional. Specify a String array of column names (in uppercase) to specify which attributes from specific layer shall appear in the result. If omitted, the returned result will include all the attributes of the specified layer.
  • Example POST body: {"point": [{ "lat" : 41.9101, "lon" : 12.5021, "layer" : "ROAD_GEOM_FC3", "searchRadius" : 100 },{ "lat" : 42.0299, "lon" : 12.6932, "layer" : "ROAD_GEOM_FC5", "searchRadius" : 200, "attributes" : ["LINK_ID", "NAME", "TUNNEL", "BRIDGE" ] }]}
string

A SQL expression which is evaluated for each geometry returned from the specified layer list.

  • Columns values for each geometry are available as predefined variables.
  • When an expression is specified, only geometries where the expression evaluates to true are returned.
  • Supported SQL filter operators include: =, !=, >, <, AND, OR and LIKE.
  • Example: filter=RATING > 3 AND NAME != 'MyPlace23' AND NAME LIKE 'FOOD%'.
  • Parameter value must be url encoded when using special characters.
  • This filter applies to all geometries and may be slow for large layers. To avoid service overload, filter expressions should not exceed 100 characters.
  • The filter is applied across all objects from specified layers, so it is most effective when a single layer is requested.
string
Defaults to 1

When set to 1, then meta info is returned in the response.

string

Optional. Map in which the specific layer or layers exist, which will be accessed to retrieve the layer content. Default behavior: Check in the default map.

string

Owner app_id that was used to upload a layer. It is mandatory when a granted app_id is used to access the layer.

Body Params
point
array of objects

List of asset points with corresponding attributes.

point
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json;charset=UTF-8